CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-0689

Array index error in the (1) dtoa implementation in dtoa.c (aka pdtoa.c) and the (2) gdtoa (aka new dtoa) implementation in gdtoa/misc.c in libc, as used in multiple operating systems and products including in FreeBSD 6.4 and 7.2, NetBSD 5.0, OpenBSD 4.5, Mozilla Firefox 3.0.x before 3.0.15 and 3.5.x before 3.5.4, K-Meleon 1.5.3, SeaMonkey 1.1.8, and other products, allows context-dependent attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a large precision value in the format argument to a printf function, which triggers incorrect memory allocation and a heap-based buffer overflow during conversion to a floating-point number.
Publish Date : 2009-07-01 Last Update Date : 2014-03-25
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Denial Of ServiceExecute CodeOverflow
CWE ID 119

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat critical
6.8
AV:N/AC:M/Au:N/C:P/I:P/A:P 2009-11-20 2009-11-20
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Array index error in the (1) dtoa implementation in dtoa.c (aka pdtoa.c) and the (2) gdtoa (aka new dtoa) implementation... oval:org.mitre.oval:def:9541 unix
CVE-2009-0689 oval:org.opensuse.security:def:20090689 unix
DSA-1998 kdelibs -- buffer overflow oval:org.mitre.oval:def:6826 unix
DSA-1998-1 kdelibs -- buffer overflow oval:org.mitre.oval:def:12913 unix
ELSA-2009:1601: kdelibs security update (Critical) oval:org.mitre.oval:def:22669 unix
ELSA-2010:0153: thunderbird security update (Moderate) oval:org.mitre.oval:def:22112 unix
ELSA-2014-0311 -- php security update (critical) oval:org.mitre.oval:def:27015 unix
ELSA-2014:0311: php security update (Critical) oval:org.mitre.oval:def:23947 unix
Mozilla Firefox Floating Point Memory Allocation Vulnerability oval:org.mitre.oval:def:6528 windows
RHSA-2009:1530: firefox security update (Critical) oval:com.redhat.rhsa:def:20091530 unix
RHSA-2009:1531: seamonkey security update (Critical) oval:com.redhat.rhsa:def:20091531 unix
RHSA-2009:1601: kdelibs security update (Critical) oval:com.redhat.rhsa:def:20091601 unix
RHSA-2010:0153: thunderbird security update (Moderate) oval:com.redhat.rhsa:def:20100153 unix
RHSA-2010:0153: thunderbird security update (Moderate) oval:org.mitre.oval:def:21486 unix
RHSA-2010:0154: thunderbird security update (Moderate) oval:com.redhat.rhsa:def:20100154 unix
RHSA-2014:0311: php security update (Critical) oval:org.mitre.oval:def:24079 unix
RHSA-2014:0311: php security update (Critical) oval:com.redhat.rhsa:def:20140311 unix
SUSE-SU-2013:1828-1 -- Security update for ruby oval:org.mitre.oval:def:25660 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-0689

# Product Type Vendor Product Version Update Edition Language
1 OS Freebsd Freebsd 6.4 Release P3 Version Details Vulnerabilities
2 OS Freebsd Freebsd 6.4 Stable Version Details Vulnerabilities
3 OS Freebsd Freebsd 6.4 Release P4 Version Details Vulnerabilities
4 OS Freebsd Freebsd 6.4 Release P2 Version Details Vulnerabilities
5 OS Freebsd Freebsd 6.4 Release P5 Version Details Vulnerabilities
6 OS Freebsd Freebsd 6.4 Release Version Details Vulnerabilities
7 OS Freebsd Freebsd 6.4 Version Details Vulnerabilities
8 OS Freebsd Freebsd 7.2 Pre-release Version Details Vulnerabilities
9 OS Freebsd Freebsd 7.2 Stable Version Details Vulnerabilities
10 OS Freebsd Freebsd 7.2 Version Details Vulnerabilities
11 Application K-meleon Project K-meleon 1.5.3 Version Details Vulnerabilities
12 Application Mozilla Firefox 3.0.1 Version Details Vulnerabilities
13 Application Mozilla Firefox 3.0.2 Version Details Vulnerabilities
14 Application Mozilla Firefox 3.0.3 Version Details Vulnerabilities
15 Application Mozilla Firefox 3.0.4 Version Details Vulnerabilities
16 Application Mozilla Firefox 3.0.5 Version Details Vulnerabilities
17 Application Mozilla Firefox 3.0.6 Version Details Vulnerabilities
18 Application Mozilla Firefox 3.0.7 Version Details Vulnerabilities
19 Application Mozilla Firefox 3.0.8 Version Details Vulnerabilities
20 Application Mozilla Firefox 3.0.9 Version Details Vulnerabilities
21 Application Mozilla Firefox 3.0.10 Version Details Vulnerabilities
22 Application Mozilla Firefox 3.0.11 Version Details Vulnerabilities
23 Application Mozilla Firefox 3.0.12 Version Details Vulnerabilities
24 Application Mozilla Firefox 3.0.13 Version Details Vulnerabilities
25 Application Mozilla Firefox 3.0.14 Version Details Vulnerabilities
26 Application Mozilla Firefox 3.5 Version Details Vulnerabilities
27 Application Mozilla Firefox 3.5.1 Version Details Vulnerabilities
28 Application Mozilla Firefox 3.5.2 Version Details Vulnerabilities
29 Application Mozilla Firefox 3.5.3 Version Details Vulnerabilities
30 Application Mozilla Seamonkey 1.1.8 Version Details Vulnerabilities
31 OS Netbsd Netbsd 5.0 Version Details Vulnerabilities
32 OS Openbsd Openbsd 4.5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Freebsd Freebsd 10
K-meleon Project K-meleon 1
Mozilla Firefox 18
Mozilla Seamonkey 1
Netbsd Netbsd 1
Openbsd Openbsd 1

- References For CVE-2009-0689

http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gdtoa/misc.c CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2009-11/msg00004.html
SUSE SUSE-SR:2009:018
http://lists.apple.com/archives/security-announce/2010//Mar/msg00001.html
APPLE APPLE-SA-2010-03-29-1
http://www.vupen.com/english/advisories/2010/0648
VUPEN ADV-2010-0648
http://lists.apple.com/archives/security-announce/2010/Jun/msg00003.html
APPLE APPLE-SA-2010-06-21-1
http://rhn.redhat.com/errata/RHSA-2014-0311.html
REDHAT RHSA-2014:0311
http://rhn.redhat.com/errata/RHSA-2014-0312.html
REDHAT RHSA-2014:0312
http://secunia.com/advisories/37431
SECUNIA 37431
http://secunia.com/advisories/37682
SECUNIA 37682
http://secunia.com/advisories/37683
SECUNIA 37683
http://secunia.com/advisories/39001
SECUNIA 39001
http://secunia.com/advisories/38977
SECUNIA 38977
http://secunia.com/advisories/38066
SECUNIA 38066
http://secunia.com/secunia_research/2009-35/
http://securityreason.com/achievement_securityalert/69
SREASONRES 20091030 Multiple BSD printf(1) and multiple dtoa/*printf(3) vulnerabilities
http://securityreason.com/achievement_securityalert/63
SREASONRES 20090625 Multiple Vendors libc/gdtoa printf(3) Array Overrun
http://securityreason.com/achievement_securityalert/71
SREASONRES 20091120 SeaMonkey 1.1.8 Remote Array Overrun (Arbitrary code execution)
http://securityreason.com/achievement_securityalert/72
SREASONRES 20091120 K-Meleon 1.5.3 Remote Array Overrun (Arbitrary code execution)
http://securityreason.com/achievement_securityalert/73
SREASONRES 20091120 Opera 10.01 Remote Array Overrun (Arbitrary code execution)
http://securityreason.com/achievement_securityalert/75
SREASONRES 20091211 Flock 2.5.2 Remote Array Overrun (Arbitrary code execution)
http://www.mozilla.org/security/announce/2009/mfsa2009-59.html CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2009:330
MANDRIVA MDVSA-2009:330
http://www.mandriva.com/security/advisories?name=MDVSA-2009:294
MANDRIVA MDVSA-2009:294
http://support.apple.com/kb/HT4225 CONFIRM
http://support.apple.com/kb/HT4077 CONFIRM
http://sunsolve.sun.com/search/document.do?assetkey=1-26-272909-1
SUNALERT 272909
http://securityreason.com/achievement_securityalert/81
SREASONRES 20100108 MacOS X 10.5/10.6 libc/strtod(3) buffer overflow
http://securityreason.com/achievement_securityalert/78
SREASONRES 20091211 Thunderbird 2.0.0.23 (lib) Remote Array Overrun (Arbitrary code execution)
http://securityreason.com/achievement_securityalert/77
SREASONRES 20091211 Sunbird 0.9 Array Overrun (code execution)
http://securityreason.com/achievement_securityalert/76
SREASONRES 20091211 Camino 1.6.10 Remote Array Overrun (Arbitrary code execution)
http://www.redhat.com/support/errata/RHSA-2009-1601.html
REDHAT RHSA-2009:1601
http://www.opera.com/support/kb/view/942/ CONFIRM
http://www.vupen.com/english/advisories/2009/3297
VUPEN ADV-2009-3297
http://www.ubuntu.com/usn/USN-915-1
UBUNTU USN-915-1
http://www.securityfocus.com/archive/1/archive/1/508423/100/0/threaded
BUGTRAQ 20091210 Camino 1.6.10 Remote Array Overrun (Arbitrary code execution)
http://www.redhat.com/support/errata/RHSA-2010-0153.html
REDHAT RHSA-2010:0153
http://www.securityfocus.com/archive/1/archive/1/507977/100/0/threaded
BUGTRAQ 20091120 K-Meleon 1.5.3 Remote Array Overrun (Arbitrary code execution)
http://www.redhat.com/support/errata/RHSA-2010-0154.html
REDHAT RHSA-2010:0154
http://www.vupen.com/english/advisories/2010/0094
VUPEN ADV-2010-0094
https://bugzilla.mozilla.org/show_bug.cgi?id=516396 CONFIRM
http://www.vupen.com/english/advisories/2009/3334
VUPEN ADV-2009-3334
http://www.vupen.com/english/advisories/2009/3299
VUPEN ADV-2009-3299
https://bugzilla.mozilla.org/show_bug.cgi?id=516862 CONFIRM
http://www.securityfocus.com/archive/1/archive/1/507979/100/0/threaded
BUGTRAQ 20091120 SeaMonkey 1.1.8 Remote Array Overrun (Arbitrary code execution)
http://www.securityfocus.com/archive/1/archive/1/508417/100/0/threaded
BUGTRAQ 20091210 Flock 2.5.2 Remote Array Overrun (Arbitrary code execution)
http://www.vupen.com/english/advisories/2010/0650
VUPEN ADV-2010-0650
http://lists.opensuse.org/opensuse-security-announce/2010-06/msg00001.html
SUSE SUSE-SR:2010:013
http://www.securityfocus.com/bid/35510
BID 35510 Multiple BSD Distributions 'gdtoa/misc.c' Memory Corruption Vulnerability Release Date:2014-04-28
http://cvsweb.netbsd.org/bsdweb.cgi/src/lib/libc/gdtoa/gdtoaimp.h CONFIRM
http://securitytracker.com/id?1022478
SECTRACK 1022478

- Metasploit Modules Related To CVE-2009-0689

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.